<?php

/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package doctor_physician
 */


function doctor_physician_customize_css() {
    ?>
    <style type="text/css">
        :root {
            --primary-color: <?php echo esc_html( get_theme_mod( 'doctor_physician_primary_color', '#235DA5' ) ); ?>;
        }
    </style>
    <?php
}
add_action( 'wp_head', 'doctor_physician_customize_css' );

function doctor_physician_enqueue_selected_fonts() {
    $doctor_physician_fonts_url = doctor_physician_get_fonts_url();
    if (!empty($doctor_physician_fonts_url)) {
        wp_enqueue_style('doctor-physician-google-fonts', $doctor_physician_fonts_url, array(), null);
    }
}
add_action('wp_enqueue_scripts', 'doctor_physician_enqueue_selected_fonts');

function doctor_physician_layout_customizer_css() {
    $doctor_physician_margin = get_theme_mod('doctor_physician_layout_width_margin', 50);
    ?>
    <style type="text/css">
        body.site-boxed--layout #page  {
            margin: 0 <?php echo esc_attr($doctor_physician_margin); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_layout_customizer_css');

function doctor_physician_blog_layout_customizer_css() {
    // Retrieve the blog layout option
    $doctor_physician_blog_layout_option = get_theme_mod('doctor_physician_blog_layout_option_setting', 'Left');

    // Initialize custom CSS variable
    $doctor_physician_custom_css = '';

    // Generate custom CSS based on the layout option
    if ($doctor_physician_blog_layout_option === 'Default') {
        $doctor_physician_custom_css .= '.mag-post-detail { text-align: center; }';
    } elseif ($doctor_physician_blog_layout_option === 'Left') {
        $doctor_physician_custom_css .= '.mag-post-detail { text-align: left; }';
    } elseif ($doctor_physician_blog_layout_option === 'Right') {
        $doctor_physician_custom_css .= '.mag-post-detail { text-align: right; }';
    }

    // Output the combined CSS
    ?>
    <style type="text/css">
        <?php echo wp_kses($doctor_physician_custom_css, array( 'style' => array(), 'text-align' => array() )); ?>
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_blog_layout_customizer_css');

// Featured Image Dimension
function doctor_physician_custom_featured_image_css() {
    $doctor_physician_dimension = get_theme_mod('doctor_physician_blog_post_featured_image_dimension', 'default');
    $doctor_physician_width = get_theme_mod('doctor_physician_blog_post_featured_image_custom_width', '');
    $doctor_physician_height = get_theme_mod('doctor_physician_blog_post_featured_image_custom_height', '');
    
    if ($doctor_physician_dimension === 'custom' && $doctor_physician_width && $doctor_physician_height) {
        $doctor_physician_custom_css = "body:not(.single-post) .mag-post-single .mag-post-img img { width: {$doctor_physician_width}px !important; height: {$doctor_physician_height}px !important; }";
        wp_add_inline_style('doctor-physician-style', $doctor_physician_custom_css);
    }
}
add_action('wp_enqueue_scripts', 'doctor_physician_custom_featured_image_css');

// Featured Image Border Radius
function doctor_physician_featured_image_border_radius_css() {
    $doctor_physician_featured_image_border_radius = get_theme_mod('doctor_physician_featured_image_border_radius', 10);
    ?>
    <style type="text/css">  
        .mag-post-single img {
            border-radius: <?php echo esc_attr($doctor_physician_featured_image_border_radius); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_featured_image_border_radius_css');

function doctor_physician_sidebar_width_customizer_css() {
    $doctor_physician_sidebar_width = get_theme_mod('doctor_physician_sidebar_width', '30');
    ?>
    <style type="text/css">
        .right-sidebar .asterthemes-wrapper .asterthemes-page {
            grid-template-columns: auto <?php echo esc_attr($doctor_physician_sidebar_width); ?>%;
        }
        .left-sidebar .asterthemes-wrapper .asterthemes-page {
            grid-template-columns: <?php echo esc_attr($doctor_physician_sidebar_width); ?>% auto;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_sidebar_width_customizer_css');

if ( ! function_exists( 'doctor_physician_get_page_title' ) ) {
    function doctor_physician_get_page_title() {
        $doctor_physician_title = '';

        if (is_404()) {
            $doctor_physician_title = esc_html__('Page Not Found', 'doctor-physician');
        } elseif (is_search()) {
            $doctor_physician_title = esc_html__('Search Results for: ', 'doctor-physician') . esc_html(get_search_query());
        } elseif (is_home() && !is_front_page()) {
            $doctor_physician_title = esc_html__('Blogs', 'doctor-physician');
        } elseif (function_exists('is_shop') && is_shop()) {
            $doctor_physician_title = esc_html__('Shop', 'doctor-physician');
        } elseif (is_page()) {
            $doctor_physician_title = get_the_title();
        } elseif (is_single()) {
            $doctor_physician_title = get_the_title();
        } elseif (is_archive()) {
            $doctor_physician_title = get_the_archive_title();
        } else {
            $doctor_physician_title = get_the_archive_title();
        }

        return apply_filters('doctor_physician_page_title', $doctor_physician_title);
    }
}

if ( ! function_exists( 'doctor_physician_has_page_header' ) ) {
    function doctor_physician_has_page_header() {
        // Default to true (display header)
        $doctor_physician_return = true;

        // Custom conditions for disabling the header
        if ('hide-all-devices' === get_theme_mod('doctor_physician_page_header_visibility', 'all-devices')) {
            $doctor_physician_return = false;
        }

        // Apply filters and return
        return apply_filters('doctor_physician_display_page_header', $doctor_physician_return);
    }
}

if ( ! function_exists( 'doctor_physician_page_header_style' ) ) {
    function doctor_physician_page_header_style() {
        $doctor_physician_style = get_theme_mod('doctor_physician_page_header_style', 'default');
        return apply_filters('doctor_physician_page_header_style', $doctor_physician_style);
    }
}

function doctor_physician_page_title_customizer_css() {
    $doctor_physician_layout_option = get_theme_mod('doctor_physician_page_header_layout', 'left');
    ?>
    <style type="text/css">
        .asterthemes-wrapper.page-header-inner {
            <?php if ($doctor_physician_layout_option === 'flex') : ?>
                display: flex;
                justify-content: space-between;
                align-items: center;
            <?php else : ?>
                text-align: <?php echo esc_attr($doctor_physician_layout_option); ?>;
            <?php endif; ?>
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_page_title_customizer_css');

function doctor_physician_pagetitle_height_css() {
    $doctor_physician_height = get_theme_mod('doctor_physician_pagetitle_height', 50);
    ?>
    <style type="text/css">
        header.page-header {
            padding: <?php echo esc_attr($doctor_physician_height); ?>px 0;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_pagetitle_height_css');

function doctor_physician_site_logo_width() {
    $doctor_physician_site_logo_width = get_theme_mod('doctor_physician_site_logo_width', 200);
    ?>
    <style type="text/css">
        .site-logo img {
            max-width: <?php echo esc_attr($doctor_physician_site_logo_width); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_site_logo_width');

function doctor_physician_menu_font_size_css() {
    $doctor_physician_menu_font_size = get_theme_mod('doctor_physician_menu_font_size', 15);
    ?>
    <style type="text/css">
        .main-navigation a {
            font-size: <?php echo esc_attr($doctor_physician_menu_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_menu_font_size_css');

//Menu Font Weight
function doctor_physician_menu_font_weight_css() {
	$doctor_physician_font_weight = get_theme_mod( 'doctor_physician_menu_font_weight', 500);

	$doctor_physician_custom_css = "
		.main-navigation a {
		    font-weight: {$doctor_physician_font_weight};
		}
	";

	wp_add_inline_style( 'doctor-physician-style', $doctor_physician_custom_css );
}
add_action( 'wp_enqueue_scripts', 'doctor_physician_menu_font_weight_css' );

function doctor_physician_sidebar_widget_font_size_css() {
    $doctor_physician_sidebar_widget_font_size = get_theme_mod('doctor_physician_sidebar_widget_font_size', 24);
    ?>
    <style type="text/css">
        h2.wp-block-heading,aside#secondary .widgettitle,aside#secondary .widget-title {
            font-size: <?php echo esc_attr($doctor_physician_sidebar_widget_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_sidebar_widget_font_size_css');

// Woocommerce Related Products Settings
function doctor_physician_related_product_css() {
    $doctor_physician_related_product_show_hide = get_theme_mod('doctor_physician_related_product_show_hide', true);

    if ( $doctor_physician_related_product_show_hide != true) {
        ?>
        <style type="text/css">
            .related.products {
                display: none;
            }
        </style>
        <?php
    }
}
add_action('wp_head', 'doctor_physician_related_product_css');

// Woocommerce Product Sale Position 
function doctor_physician_product_sale_position_customizer_css() {
    $doctor_physician_layout_option = get_theme_mod('doctor_physician_product_sale_position', 'left');
    ?>
    <style type="text/css">
        .woocommerce ul.products li.product .onsale {
            <?php if ($doctor_physician_layout_option === 'left') : ?>
                right: auto;
                left: 0px;
            <?php else : ?>
                left: auto;
                right: 0px;
            <?php endif; ?>
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_product_sale_position_customizer_css'); 

//Footer Social Icon Alignment
function doctor_physician_footer_icons_alignment_css() {
    $doctor_physician_footer_social_align = get_theme_mod( 'doctor_physician_footer_social_align', 'center' );   
    ?>
    <style type="text/css">
        .socialicons {
            text-align: <?php echo esc_attr( $doctor_physician_footer_social_align ); ?> 
        }

        /* Mobile Specific */
        @media screen and (max-width: 575px) {
            .socialicons {
                text-align: center;
            }
        }
    </style>
    <?php
}
add_action( 'wp_head', 'doctor_physician_footer_icons_alignment_css' );

//Copyright Alignment
function doctor_physician_footer_copyright_alignment_css() {
    $doctor_physician_footer_bottom_align = get_theme_mod( 'doctor_physician_footer_bottom_align', 'center' );   
    ?>
    <style type="text/css">
        .site-footer .site-footer-bottom .site-footer-bottom-wrapper {
            justify-content: <?php echo esc_attr( $doctor_physician_footer_bottom_align ); ?> 
        }

        /* Mobile Specific */
        @media screen and (max-width: 575px) {
            .site-footer .site-footer-bottom .site-footer-bottom-wrapper {
                justify-content: center;
                text-align:center;
            }
        }
    </style>
    <?php
}
add_action( 'wp_head', 'doctor_physician_footer_copyright_alignment_css' );

//Copyright Font Size
function doctor_physician_copyright_font_size_css() {
    $doctor_physician_copyright_font_size = get_theme_mod('doctor_physician_copyright_font_size', 16);
    ?>
    <style type="text/css">
        .site-footer-bottom .site-info span {
            font-size: <?php echo esc_attr($doctor_physician_copyright_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_copyright_font_size_css');

// Preloader Background Color Setting
function doctor_physician_preloader_background_colors_css() {
    $doctor_physician_preloader_background_color_setting = get_theme_mod('doctor_physician_preloader_background_color_setting', '');
        // Only output CSS if a color is set
        if (empty($doctor_physician_preloader_background_color_setting)) {
            return;
        }
    ?>
    <style type="text/css">
        #loader {
            background-color: <?php echo esc_attr($doctor_physician_preloader_background_color_setting); ?>;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_preloader_background_colors_css');

// Preloader Background Image Setting
function doctor_physician_preloader_background_image_css() {
    $doctor_physician_preloader_background_image_setting = get_theme_mod('doctor_physician_preloader_background_image_setting', '');
        // Only output CSS if the background image is set
        if (empty($doctor_physician_preloader_background_image_setting)) {
            return;
        }
    ?>
    <style type="text/css">
        #loader {
            background-image: url('<?php echo esc_url($doctor_physician_preloader_background_image_setting); ?>');
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }
    </style>
    <?php
}
add_action('wp_head', 'doctor_physician_preloader_background_image_css');

//Footer Heading Alignment
function doctor_physician_footer_heading_alignment_css() {
    $doctor_physician_footer_header_align = get_theme_mod( 'doctor_physician_footer_header_align', 'left' );   
    ?>
    <style type="text/css">
        .site-footer h4, footer#colophon h2.wp-block-heading, footer#colophon .widgettitle, footer#colophon .widget-title {
            text-align: <?php echo esc_attr( $doctor_physician_footer_header_align ); ?> 
        }
    </style>
    <?php
}
add_action( 'wp_head', 'doctor_physician_footer_heading_alignment_css' );

//First Capital Letter
function doctor_physician_show_first_caps() {
	$doctor_physician_first_caps = get_theme_mod('doctor_physician_show_first_caps', false);
	$doctor_physician_css = '';
	if ( $doctor_physician_first_caps ) {
	$doctor_physician_css .= '
		.mag-post-single .mag-post-detail .mag-post-excerpt p:first-of-type::first-letter {
		    font-size: 55px;
			font-weight: 600;
			margin-right: 6px;
			line-height: 1;
			display: inline-block;
			vertical-align: baseline;
		}';
	} else {
		$doctor_physician_css .= '
		.mag-post-single .mag-post-detail .mag-post-excerpt p:first-of-type::first-letter {
			display: none;
		}';
	}
	wp_add_inline_style( 'doctor-physician-style', $doctor_physician_css );
}
add_action( 'wp_enqueue_scripts', 'doctor_physician_show_first_caps' );